Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596834 - High memory usage
Summary: High memory usage
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 15:21 UTC by higezo
Modified: 2013-03-18 15:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-18 15:41:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
/var/log/dmesg (deleted)
2010-05-27 15:21 UTC, higezo
no flags Details

Description higezo 2010-05-27 15:21:53 UTC
Created attachment 417283 [details]
/var/log/dmesg

Description of problem:
I have a PC which has always high memory usage but cpu usage is almost normal.
I don't run any special program.
In fact exact OS is CentOS 5.5 but I think this is related to its kernel purely,
so I report this issue to Redhat bugzilla.

I also find this phenomena occures on other kernel
(e.g. 2.6.18-164.el5,2.6.18-164.15.1.el5,...).

I have googled by "phenom x6 high memory usage" or "phenom x6 high memory leak",
but that didn't help.

The result of free is below:
% free 
             total       used       free     shared    buffers     cached
Mem:       7887480    7803504      83976          0       7104      92392
-/+ buffers/cache:    7704008     183472
Swap:     19559128          0   19559128

Hardware:

CPU:AMD Phenom II X6 1090T
M/B:Asrock 880G-extreme3
Mem: DDR3-1333 4GBx2
RAID Card: LSI 9240-8i


Version-Release number of selected component (if applicable):
% uname -a
Linux myhost 2.6.18-194.3.1.el5 #1 SMP Thu May 13 13:08:30 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux




How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
The memory usage is at most a few handred mega bytes.

Additional info:

Comment 1 Larry Woodman 2010-12-03 16:29:14 UTC
There is not nearly enough info to debug this problem.  From what I can tell the system is running an application that uses lots(~7.5GB) of anonymous memory.  This is why free shows only 183MB free on the second line.


% free 
             total       used       free     shared    buffers     cached
Mem:       7887480    7803504      83976          0       7104      92392
-/+ buffers/cache:    7704008     183472


Please repeoduce this and get a "ps aux" output and an AltSysrq-M so we can determins if its a system problem or just one or more applications using more memory than you expect.

Larry Woodman

Comment 2 Larry Woodman 2010-12-03 16:29:59 UTC
There is not nearly enough info to debug this problem.  From what I can tell the system is running an application that uses lots(~7.5GB) of anonymous memory.  This is why free shows only 183MB free on the second line.


% free 
             total       used       free     shared    buffers     cached
Mem:       7887480    7803504      83976          0       7104      92392
-/+ buffers/cache:    7704008     183472


Please reproduce this and get a "ps aux" output and an AltSysrq-M so we can determins if its a system problem or just one or more applications using more memory than you expect.

Larry Woodman

Comment 3 Jes Sorensen 2013-03-18 15:41:31 UTC
No reply to request for info for > 2.5 years

Closing


Note You need to log in before you can comment on or make changes to this bug.